import datetime

REF = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "t2m": 300.45,
        "rh2m": 73,
        "td2m": 295.15,
        "wind10m_speed": 1.6,
        "wind10m_dir": 100,
        "wgust_speed_10min": 5.3,
        "wgust_dir_10min": 110.0,
        "wgust_speed_60min": 5.3,
        "wgust_dir_60min": 110.0,
        "wgust_speed_360min": 7.6,
        "wgust_dir_360min": 130.0,
        "wgust_speed_nan": None,
        "wgust_dir_nan": None,
        "wgust_speed_720min": None,
        "wgust_dir_720min": None,
        "present_weather": 2,
        "past_weather_1_1h": 0,
        "past_weather_2_1h": 0,
        "past_weather_1_6h": 0,
        "past_weather_2_6h": 0,
        "past_weather_1_12h": None,
        "past_weather_2_12h": None,
        "precipitation_1h": 0.0,
        "precipitation_3h": 0.0,
        "precipitation_6h": 0.0,
        "precipitation_12h": 0.0,
        "precipitation_24h": 0.0,
        "min_t2m_60min": None,
        "min_t2m_0h": 296.45,
        "max_t2m_60min": 300.75,
        "max_t2m_nan": None,
        "max_t2m_0h": None,
        "mslp": 101320.0,
        "pressure": 100310.0,
        "cloud_cover": 25.0,
        "snow_depth": None,
        "visibility": None,
    },
    {
        "stnid": 11766,
        "lat": 49.77722,
        "lon": 17.54194,
        "elevation": 748.1,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "t2m": 269.25,
        "rh2m": 65,
        "td2m": 263.55,
        "wind10m_speed": 4.0,
        "wind10m_dir": 60.0,
        "wgust_speed_10min": None,
        "wgust_dir_10min": None,
        "wgust_speed_60min": None,
        "wgust_dir_60min": None,
        "wgust_speed_360min": None,
        "wgust_dir_360min": None,
        "wgust_speed_nan": None,
        "wgust_dir_nan": None,
        "wgust_speed_720min": None,
        "wgust_dir_720min": None,
        "present_weather": 508,
        "past_weather_1_1h": None,
        "past_weather_2_1h": None,
        "past_weather_1_6h": 10,
        "past_weather_2_6h": 10,
        "past_weather_1_12h": None,
        "past_weather_2_12h": None,
        "precipitation_1h": 0.0,
        "precipitation_3h": None,
        "precipitation_6h": 0.0,
        "precipitation_12h": None,
        "precipitation_24h": None,
        "min_t2m_60min": None,
        "min_t2m_0h": None,
        "max_t2m_60min": None,
        "max_t2m_nan": None,
        "max_t2m_0h": None,
        "mslp": None,
        "pressure": 93680.0,
        "cloud_cover": None,
        "snow_depth": None,
        "visibility": 30000.0,
    },
    {
        "stnid": 56257,
        "lat": 30.0,
        "lon": 100.27,
        "elevation": 3950.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "t2m": 276.35,
        "rh2m": 37,
        "td2m": 263.05,
        "wind10m_speed": 2.5,
        "wind10m_dir": 229.0,
        "wgust_speed_10min": None,
        "wgust_dir_10min": None,
        "wgust_speed_60min": None,
        "wgust_dir_60min": None,
        "wgust_speed_360min": None,
        "wgust_dir_360min": None,
        "wgust_speed_nan": None,
        "wgust_dir_nan": None,
        "wgust_speed_720min": 8.9,
        "wgust_dir_720min": 193.0,
        "present_weather": 0,
        "past_weather_1_1h": None,
        "past_weather_2_1h": None,
        "past_weather_1_6h": None,
        "past_weather_2_6h": None,
        "past_weather_1_12h": 0,
        "past_weather_2_12h": 0,
        "precipitation_1h": None,
        "precipitation_3h": None,
        "precipitation_6h": 0.0,
        "precipitation_12h": 0.0,
        "precipitation_24h": 0.0,
        "min_t2m_60min": None,
        "min_t2m_0h": 272.65,
        "max_t2m_60min": None,
        "max_t2m_nan": None,
        "max_t2m_0h": 288.35,
        "mslp": 100440.0,
        "pressure": 63030.0,
        "cloud_cover": 0.0,
        "snow_depth": 0.0,
        "visibility": 30000.0,
    },
]

REF_PARAMS_1 = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "t2m": 300.45,
    }
]

REF_PARAMS_2 = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "t2m": 300.45,
        "rh2m": 73,
    }
]

REF_PARAMS_3 = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "wind10m_speed": 1.6,
        "wind10m_dir": 100,
    }
]

REF_PARAMS_4 = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "wind10m_speed": 1.6,
    }
]

REF_PARAMS_5 = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
        "wind10m_dir": 100,
    }
]

REF_STATION = [
    {
        "stnid": 91948,
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
    },
    {
        "stnid": 11766,
        "lat": 49.77722,
        "lon": 17.54194,
        "elevation": 748.1,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
    },
    {
        "stnid": 56257,
        "lat": 30.0,
        "lon": 100.27,
        "elevation": 3950.0,
        "time": datetime.datetime.fromisoformat("2020-03-15T00:00:00.000"),
    },
]


REF_GEOMETRY = [
    {
        "lat": -23.13017,
        "lon": -134.96533,
        "elevation": 91.0,
    },
    {
        "lat": 49.77722,
        "lon": 17.54194,
        "elevation": 748.1,
    },
    {
        "lat": 30.0,
        "lon": 100.27,
        "elevation": 3950.0,
    },
]


REF_LOCATION = [
    {
        "lat": -23.13017,
        "lon": -134.96533,
    },
    {
        "lat": 49.77722,
        "lon": 17.54194,
    },
    {
        "lat": 30.0,
        "lon": 100.27,
    },
]
